## org.apache.lucene.util
Class NumericUtils.IntRangeBuilder

    java.lang.Object
      org.apache.lucene.util.NumericUtils.IntRangeBuilder

Enclosing class:
  NumericUtils

    public abstract static class NumericUtils.IntRangeBuilder

extends Object

Expert: Callback for `NumericUtils.splitIntRange(org.apache.lucene.util.NumericUtils.IntRangeBuilder, int, int, int)`. You need to overwrite only one of the methods.

NOTE: This is a very low-level interface, the method signatures may change in later versions.

Constructor Summary
`NumericUtils.IntRangeBuilder()`

Method Summary
`void` `addRange(int min, int max, int shift)` Overwrite this method, if you like to receive the raw int range bounds.
`void` `addRange(String minPrefixCoded, String maxPrefixCoded)` Overwrite this method, if you like to receive the already prefix encoded range bounds.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumericUtils.IntRangeBuilder

    public NumericUtils.IntRangeBuilder()

Method Detail

### addRange

    public void addRange(String minPrefixCoded,
                         String maxPrefixCoded)

  Overwrite this method, if you like to receive the already prefix encoded range bounds. You can directly build classical range (inclusive) queries from them.

### addRange

    public void addRange(int min,
                         int max,
                         int shift)

  Overwrite this method, if you like to receive the raw int range bounds. You can use this for e.g. debugging purposes (print out range bounds).